Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 730030 - dev-lua/luasec fails to compile
Summary: dev-lua/luasec fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-06-28 13:06 UTC by Agostino Sarubbo
Modified: 2020-07-09 07:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,13.80 KB, text/plain)
2020-06-28 13:06 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-06-28 13:06:06 UTC
@@This is an auto-filed bug@@
Feel free to change the summary at your convenience.

Issue: dev-lua/luasec fails to compile.
Discovered on: amd64

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please mention it in the summary and block bug 408963. If you need further logs, feel free to ask.
Comment 1 Agostino Sarubbo gentoo-dev 2020-06-28 13:06:11 UTC
Created attachment 646986 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-07-09 07:54:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72fec15f678067927e3684403f2e4f78836bbc0b

commit 72fec15f678067927e3684403f2e4f78836bbc0b
Author:     Azamat H. Hackimov <azamat.hackimov@gmail.com>
AuthorDate: 2020-07-07 08:15:20 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-07-09 07:54:27 +0000

    dev-lua/luasec: Fix #730030
    
    Fix compiling with clang/llvm toolchain.
    Closes: https://bugs.gentoo.org/730030
    Package-Manager: Portage-2.3.99, Repoman-2.3.23
    Signed-off-by: Azamat H. Hackimov <azamat.hackimov@gmail.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 dev-lua/luasec/luasec-0.7.ebuild | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)